Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224209 - no longer starts since python was upgraded
Summary: no longer starts since python was upgraded
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: listen
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-01-24 17:23 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: listen-0.5-14.fc7.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-04 17:58:49 UTC


Attachments (Terms of Use)
patch which fixes at least startup problem for me (deleted)
2007-01-24 17:23 UTC, Nalin Dahyabhai
no flags Details | Diff

Description Nalin Dahyabhai 2007-01-24 17:23:44 UTC
Description of problem:
listen no longer runs because it still expects python 2.4.  When I try to start
it on an up to date Raw Hide system, I get only this message:
  /usr/bin/env: python2.4: No such file or directory

Comment 1 Nalin Dahyabhai 2007-01-24 17:23:44 UTC
Created attachment 146421 [details]
patch which fixes at least startup problem for me

Comment 2 Haïkel Guémar 2007-02-11 11:34:32 UTC
I just updated in rawhide to Listen svn which brings some bugs fixing and a
better support of Python 2.5.
Send me your feedback when it will reach repositories. it works fine for me for
the moment.


Comment 3 Nalin Dahyabhai 2007-02-26 19:41:16 UTC
The application attempts to start now, but it now seems to be tripping over the
new python bindings for D-Bus, which apparently changed the API.  Versions, just
so we're both on the same page:
  dbus-python-0.80.2-1.fc7
  listen-0.5-12.svn657.fc7.2

The traceback:
/usr/lib/python2.5/site-packages/mutagen/m4a.py:41: DeprecationWarning:
mutagen.m4a is deprecated; use mutagen.mp4 instead.
  "mutagen.m4a is deprecated; use mutagen.mp4 instead.", DeprecationWarning)
No iPod support
Traceback (most recent call last):
  File "/usr/lib64/listen/listen.py", line 208, in <module>
    ListenApp()
  File "/usr/lib64/listen/listen.py", line 135, in __init__
    self.listen_instance = Listen()
  File "/usr/lib64/listen/widget/listen.py", line 121, in __init__
    self.dbus_service = ListenDBus(self,player)
  File "/usr/lib64/listen/dbus_manager.py", line 56, in __init__
    dbus.service.Object.__init__(self, bus_name, object_path)
  File "/usr/lib/python2.5/site-packages/dbus/service.py", line 416, in __init__
    self._connection._register_object_path(object_path, self._message_cb,
self._unregister_cb)
RuntimeError: To make asynchronous calls, receive signals or export objects,
D-Bus connections must be attached to a main loop by passing mainloop=... to the
constructor or calling dbus.set_default_main_loop(...)


Comment 4 Martin Sourada 2007-05-03 16:34:59 UTC
(In reply to comment #3)
> The application attempts to start now, but it now seems to be tripping over the
> new python bindings for D-Bus, which apparently changed the API.  Versions, just
> so we're both on the same page:
>   dbus-python-0.80.2-1.fc7
>   listen-0.5-12.svn657.fc7.2
> 
> The traceback:
> /usr/lib/python2.5/site-packages/mutagen/m4a.py:41: DeprecationWarning:
> mutagen.m4a is deprecated; use mutagen.mp4 instead.
>   "mutagen.m4a is deprecated; use mutagen.mp4 instead.", DeprecationWarning)
> No iPod support
> Traceback (most recent call last):
>   File "/usr/lib64/listen/listen.py", line 208, in <module>
>     ListenApp()
>   File "/usr/lib64/listen/listen.py", line 135, in __init__
>     self.listen_instance = Listen()
>   File "/usr/lib64/listen/widget/listen.py", line 121, in __init__
>     self.dbus_service = ListenDBus(self,player)
>   File "/usr/lib64/listen/dbus_manager.py", line 56, in __init__
>     dbus.service.Object.__init__(self, bus_name, object_path)
>   File "/usr/lib/python2.5/site-packages/dbus/service.py", line 416, in __init__
>     self._connection._register_object_path(object_path, self._message_cb,
> self._unregister_cb)
> RuntimeError: To make asynchronous calls, receive signals or export objects,
> D-Bus connections must be attached to a main loop by passing mainloop=... to the
> constructor or calling dbus.set_default_main_loop(...)
> 

Hi, just solved this (after I discovered that it does not work in F7T4, which I
recently installed)... The solution is to disable dbus support, or backport a
patch from upstream. See this bug: http://www.listen-project.org/ticket/566
- the patch is there.

Comment 5 Martin Sourada 2007-05-03 17:43:49 UTC
I temporaly made a patched rpms until you import the patch to cvs. The upstream
patch can be applied directly against the current rpms I only changed the name
to listen-dbus.patch.

Patched SRPM:
http://feannatar.hostuju.cz/fedora/files/FC7/SRPMS/listen-0.5-13.1.fc7.src.rpm

Patched i386 RPMS:
http://feannatar.hostuju.cz/fedora/files/FC7/i386/listen-0.5-13.1.fc7.i386.rpm
and debuginfo:
http://feannatar.hostuju.cz/fedora/files/FC7/i386/listen-debuginfo-0.5-13.1.fc7.i386.rpm

Comment 6 Haïkel Guémar 2007-05-04 16:33:23 UTC
I updated the package in cvs yesterday. 
For the moment, I'm having problems to submit builds to Plague.

Comment 7 Haïkel Guémar 2007-05-04 17:58:49 UTC
Build done. 
PPC64 arch is *temporary* disabled until all Listen dependencies are built.

Comment 8 Martin Sourada 2007-05-12 17:49:33 UTC
Sorry to comment here again, but I noticed you built 15.f7.1 release using koji,
however the build included in current (already merged) development repo is still
the not working 13.f7 release. I think this bug must be fixed in final but that
needs break of current devel freeze. Did you contact release engineering team
about that?

Comment 9 Haïkel Guémar 2007-05-14 16:19:22 UTC
Release Managers told me that it will be fixed. ;-)


Note You need to log in before you can comment on or make changes to this bug.